# designateclient.utils module

class designateclient.utils.AdapterWithTimeout(*args, **kw)

  Bases: `Adapter`

  adapter.Adapter wraps around a Session.

  The user can pass a timeout keyword that will apply only to the Designate Client, in order:

  - timeout keyword passed to `request()`

  - timeout keyword passed to `AdapterWithTimeout()`

  - timeout attribute on keystone session

  request(*args, **kwargs)

designateclient.utils.find_resourceid_by_name_or_id(resource_client, name_or_id)

  Find resource id from its id or name.

designateclient.utils.get_columns(data)

  Some row’s might have variable count of columns, ensure that we have the same.

  Parameters:

    data – Results in [{}, {]}]

designateclient.utils.get_item_properties(item, fields, mixed_case_fields=(), formatters=None)

  Return a tuple containing the item properties.

  Parameters:

    - item – a single item resource (e.g. Server, Tenant, etc)

    - fields – tuple of strings with the desired field names

    - mixed_case_fields – tuple of field names to preserve case

    - formatters – dictionary mapping field names to callables to format the values

this page last updated: 2026-02-27 12:37:25

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug